package com.greenorange.promotion.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.METHOD)  // 只用于方法
@Retention(RetentionPolicy.RUNTIME)  // 运行时可用
public @interface Timeout {
    long value();  // 超时时间，单位：毫秒
}
